package com.zcloud.domain.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.domain.dto.DomainDepartmentUserAddCmd;
import com.zcloud.domain.dto.DomainDepartmentUserPageQry;
import com.zcloud.domain.dto.DomainDepartmentUserUpdateCmd;
import com.zcloud.domain.dto.clientobject.DomainDepartmentUserCO;

import java.util.Collection;
import java.util.List;

/**
 * web-client
 *
 * @Author zhaokai
 * @Date 2026-01-27 11:29:09
 */
public interface DomainDepartmentUserServiceI {
    PageResponse<DomainDepartmentUserCO> listPage(DomainDepartmentUserPageQry qry);

    SingleResponse<DomainDepartmentUserCO> add(DomainDepartmentUserAddCmd cmd);

    void edit(DomainDepartmentUserUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    List<DomainDepartmentUserCO> listAll(DomainDepartmentUserPageQry qry);
}

